#!/usr/bin/env python3
"""
Constants module init file for lu77U-MobileSec
"""

from .frameworks import REACT_NATIVE_INDICATORS, FLUTTER_INDICATORS
from .file_patterns import (
    DEFAULT_STRING_PREFIXES, 
    DEFAULT_STRING_EXACT_MATCHES,
    MAX_JS_BEAUTIFY_SIZE,
    MAX_COMPLEX_FORMATTING_SIZE, 
    MAX_JAVA_FILES_ANALYSIS
)
from .severity_levels import (
    SEVERITY_HIGH,
    SEVERITY_MEDIUM,
    RN_SEVERITY_HIGH,
    RN_SEVERITY_MEDIUM
)
from .vulnerabilities import VULNERABILITY_KEYWORDS

__all__ = [
    "REACT_NATIVE_INDICATORS",
    "FLUTTER_INDICATORS", 
    "DEFAULT_STRING_PREFIXES",
    "DEFAULT_STRING_EXACT_MATCHES",
    "MAX_JS_BEAUTIFY_SIZE",
    "MAX_COMPLEX_FORMATTING_SIZE",
    "MAX_JAVA_FILES_ANALYSIS",
    "SEVERITY_HIGH",
    "SEVERITY_MEDIUM",
    "RN_SEVERITY_HIGH", 
    "RN_SEVERITY_MEDIUM",
    "VULNERABILITY_KEYWORDS",
]
